Skip to content

Update User

Request

Update user profile information

Security
bearerToken
Path
userIdstringrequired

User ID

Bodyapplication/jsonrequired
givenNamestring

User's first name

familyNamestring

User's last name

emailstring, (email)

User's email address

oldPasswordstring, (password)

Current password (required for password change)

newPasswordstring, (password)

New password

mfaboolean

Enable or disable multi-factor authentication

passwordstring, (password)

Password for MFA changes

curl -i -X PUT \
  'https://docs.exolink.com/_mock/apis/exolink_api/user/{userId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "givenName": "string",
    "familyName": "string",
    "email": "user@example.com",
    "oldPassword": "pa$$word",
    "newPassword": "pa$$word",
    "mfa": true,
    "password": "pa$$word"
  }'

Responses

User updated successfully